use std::collections::HashMap;

pub fn propagate() -> HashMap<String, String> {
    let mut lang_codes = HashMap::new();

    lang_codes.insert("english".to_string(), "eng".to_string(),);
    lang_codes.insert("russian".to_string(), "rus".to_string(),);
    lang_codes.insert("italian".to_string(), "ita".to_string(),);
    lang_codes.insert("turkish".to_string(), "tur".to_string(),);
    lang_codes.insert("esperanto".to_string(), "epo".to_string(),);
    lang_codes.insert("kabyle".to_string(), "kab".to_string(),);
    lang_codes.insert("berber".to_string(), "ber".to_string(),);
    lang_codes.insert("german".to_string(), "deu".to_string(),);
    lang_codes.insert("french".to_string(), "fra".to_string(),);
    lang_codes.insert("portuguese".to_string(), "por".to_string(),);
    lang_codes.insert("spanish".to_string(), "spa".to_string(),);
    lang_codes.insert("hungarian".to_string(), "hun".to_string(),);
    lang_codes.insert("japanese".to_string(), "jpn".to_string(),);
    lang_codes.insert("hebrew".to_string(), "heb".to_string(),);
    lang_codes.insert("ukrainian".to_string(), "ukr".to_string(),);
    lang_codes.insert("dutch".to_string(), "nld".to_string(),);
    lang_codes.insert("finnish".to_string(), "fin".to_string(),);
    lang_codes.insert("polish".to_string(), "pol".to_string(),);
    lang_codes.insert("lithuanian".to_string(), "lit".to_string(),);
    lang_codes.insert("macedonian".to_string(), "mkd".to_string(),);
    lang_codes.insert("marathi".to_string(), "mar".to_string(),);
    lang_codes.insert("mandarin chinese".to_string(), "cmn".to_string(),);
    lang_codes.insert("czech".to_string(), "ces".to_string(),);
    lang_codes.insert("danish".to_string(), "dan".to_string(),);
    lang_codes.insert("toki pona".to_string(), "tok".to_string(),);
    lang_codes.insert("swedish".to_string(), "swe".to_string(),);
    lang_codes.insert("serbian".to_string(), "srp".to_string(),);
    lang_codes.insert("latin".to_string(), "lat".to_string(),);
    lang_codes.insert("arabic".to_string(), "ara".to_string(),);
    lang_codes.insert("greek".to_string(), "ell".to_string(),);
    lang_codes.insert("tagalog".to_string(), "tgl".to_string(),);
    lang_codes.insert("romanian".to_string(), "ron".to_string(),);
    lang_codes.insert("interlingua".to_string(), "ina".to_string(),);
    lang_codes.insert("persian".to_string(), "pes".to_string(),);
    lang_codes.insert("bulgarian".to_string(), "bul".to_string(),);
    lang_codes.insert("klingon".to_string(), "tlh".to_string(),);
    lang_codes.insert("congo swahili".to_string(), "swc".to_string(),);
    lang_codes.insert("vietnamese".to_string(), "vie".to_string(),);
    lang_codes.insert("lingua franca nova".to_string(), "lfn".to_string(),);
    lang_codes.insert("hausa".to_string(), "hau".to_string(),);
    lang_codes.insert("indonesian".to_string(), "ind".to_string(),);
    lang_codes.insert("low german (low saxon)".to_string(), "nds".to_string(),);
    lang_codes.insert("slovak".to_string(), "slk".to_string(),);
    lang_codes.insert("norwegian bokmål".to_string(), "nob".to_string(),);
    lang_codes.insert("lojban".to_string(), "jbo".to_string(),);
    lang_codes.insert("hindi".to_string(), "hin".to_string(),);
    lang_codes.insert("tatar".to_string(), "tat".to_string(),);
    lang_codes.insert("nande".to_string(), "nnb".to_string(),);
    lang_codes.insert("icelandic".to_string(), "isl".to_string(),);
    lang_codes.insert("yiddish".to_string(), "yid".to_string(),);
    lang_codes.insert("belarusian".to_string(), "bel".to_string(),);
    lang_codes.insert("central kurdish (soranî)".to_string(), "ckb".to_string(),);
    lang_codes.insert("korean".to_string(), "kor".to_string(),);
    lang_codes.insert("ido".to_string(), "ido".to_string(),);
    lang_codes.insert("northern kurdish (kurmancî)".to_string(), "kmr".to_string(),);
    lang_codes.insert("bengali".to_string(), "ben".to_string(),);
    lang_codes.insert("catalan".to_string(), "cat".to_string(),);
    lang_codes.insert("uyghur".to_string(), "uig".to_string(),);
    lang_codes.insert("interlingue".to_string(), "ile".to_string(),);
    lang_codes.insert("breton".to_string(), "bre".to_string(),);
    lang_codes.insert("malay".to_string(), "zsm".to_string(),);
    lang_codes.insert("ossetian".to_string(), "oss".to_string(),);
    lang_codes.insert("turkmen".to_string(), "tuk".to_string(),);
    lang_codes.insert("cantonese".to_string(), "yue".to_string(),);
    lang_codes.insert("basque".to_string(), "eus".to_string(),);
    lang_codes.insert("georgian".to_string(), "kat".to_string(),);
    lang_codes.insert("occitan".to_string(), "oci".to_string(),);
    lang_codes.insert("gronings".to_string(), "gos".to_string(),);
    lang_codes.insert("estonian".to_string(), "est".to_string(),);
    lang_codes.insert("azerbaijani".to_string(), "aze".to_string(),);
    lang_codes.insert("croatian".to_string(), "hrv".to_string(),);
    lang_codes.insert("thai".to_string(), "tha".to_string(),);
    lang_codes.insert("coastal kadazan".to_string(), "kzj".to_string(),);
    lang_codes.insert("kirundi".to_string(), "run".to_string(),);
    lang_codes.insert("santali".to_string(), "sat".to_string(),);
    lang_codes.insert("armenian".to_string(), "hye".to_string(),);
    lang_codes.insert("volapük".to_string(), "vol".to_string(),);
    lang_codes.insert("lingala".to_string(), "lin".to_string(),);
    lang_codes.insert("shanghainese".to_string(), "wuu".to_string(),);
    lang_codes.insert("galician".to_string(), "glg".to_string(),);
    lang_codes.insert("swahili".to_string(), "swh".to_string(),);
    lang_codes.insert("meadow mari".to_string(), "mhr".to_string(),);
    lang_codes.insert("afrikaans".to_string(), "afr".to_string(),);
    lang_codes.insert("kazakh".to_string(), "kaz".to_string(),);
    lang_codes.insert("kotava".to_string(), "avk".to_string(),);
    lang_codes.insert("latvian".to_string(), "lvs".to_string(),);
    lang_codes.insert("cornish".to_string(), "cor".to_string(),);
    lang_codes.insert("tigre".to_string(), "tig".to_string(),);
    lang_codes.insert("rohingya".to_string(), "rhg".to_string(),);
    lang_codes.insert("central kanuri".to_string(), "knc".to_string(),);
    lang_codes.insert("assamese".to_string(), "asm".to_string(),);
    lang_codes.insert("guarani".to_string(), "grn".to_string(),);
    lang_codes.insert("standard moroccan tamazight".to_string(), "zgh".to_string(),);
    lang_codes.insert("central dusun".to_string(), "dtp".to_string(),);
    lang_codes.insert("irish".to_string(), "gle".to_string(),);
    lang_codes.insert("north frisian".to_string(), "frr".to_string(),);
    lang_codes.insert("tashelhit".to_string(), "shi".to_string(),);
    lang_codes.insert("mongolian".to_string(), "mon".to_string(),);
    lang_codes.insert("chavacano".to_string(), "cbk".to_string(),);
    lang_codes.insert("albanian".to_string(), "sqi".to_string(),);
    lang_codes.insert("ilocano".to_string(), "ilo".to_string(),);
    lang_codes.insert("waray".to_string(), "war".to_string(),);
    lang_codes.insert("algerian arabic".to_string(), "arq".to_string(),);
    lang_codes.insert("urdu".to_string(), "urd".to_string(),);
    lang_codes.insert("khasi".to_string(), "kha".to_string(),);
    lang_codes.insert("ottoman turkish".to_string(), "ota".to_string(),);
    lang_codes.insert("khmer".to_string(), "khm".to_string(),);
    lang_codes.insert("nuer".to_string(), "nus".to_string(),);
    lang_codes.insert("guadeloupean creole french".to_string(), "gcf".to_string(),);
    lang_codes.insert("malay (vernacular)".to_string(), "zlm".to_string(),);
    lang_codes.insert("swabian".to_string(), "swg".to_string(),);
    lang_codes.insert("literary chinese".to_string(), "lzh".to_string(),);
    lang_codes.insert("ligurian".to_string(), "lij".to_string(),);
    lang_codes.insert("zaza".to_string(), "zza".to_string(),);
    lang_codes.insert("cebuano".to_string(), "ceb".to_string(),);
    lang_codes.insert("bosnian".to_string(), "bos".to_string(),);
    lang_codes.insert("welsh".to_string(), "cym".to_string(),);
    lang_codes.insert("chuvash".to_string(), "chv".to_string(),);
    lang_codes.insert("norwegian nynorsk".to_string(), "nno".to_string(),);
    lang_codes.insert("ladino".to_string(), "lad".to_string(),);
    lang_codes.insert("upper sorbian".to_string(), "hsb".to_string(),);
    lang_codes.insert("kapampangan".to_string(), "pam".to_string(),);
    lang_codes.insert("unknown".to_string(), "unknown".to_string(),);
    lang_codes.insert("ho".to_string(), "hoc".to_string(),);
    lang_codes.insert("picard".to_string(), "pcd".to_string(),);
    lang_codes.insert("old east slavic".to_string(), "orv".to_string(),);
    lang_codes.insert("hunsrik".to_string(), "hrx".to_string(),);
    lang_codes.insert("slovenian".to_string(), "slv".to_string(),);
    lang_codes.insert("ancient greek".to_string(), "grc".to_string(),);
    lang_codes.insert("egyptian arabic".to_string(), "arz".to_string(),);
    lang_codes.insert("lower sorbian".to_string(), "dsb".to_string(),);
    lang_codes.insert("scottish gaelic".to_string(), "gla".to_string(),);
    lang_codes.insert("javanese".to_string(), "jav".to_string(),);
    lang_codes.insert("southern kurdish".to_string(), "sdh".to_string(),);
    lang_codes.insert("old prussian".to_string(), "prg".to_string(),);
    lang_codes.insert("uzbek".to_string(), "uzb".to_string(),);
    lang_codes.insert("yakut".to_string(), "sah".to_string(),);
    lang_codes.insert("kashubian".to_string(), "csb".to_string(),);
    lang_codes.insert("wayuu".to_string(), "guc".to_string(),);
    lang_codes.insert("buryat".to_string(), "bua".to_string(),);
    lang_codes.insert("luxembourgish".to_string(), "ltz".to_string(),);
    lang_codes.insert("malayalam".to_string(), "mal".to_string(),);
    lang_codes.insert("romani".to_string(), "rom".to_string(),);
    lang_codes.insert("mingrelian".to_string(), "xmf".to_string(),);
    lang_codes.insert("kalmyk".to_string(), "xal".to_string(),);
    lang_codes.insert("piedmontese".to_string(), "pms".to_string(),);
    lang_codes.insert("naga (tangshang)".to_string(), "nst".to_string(),);
    lang_codes.insert("frisian".to_string(), "fry".to_string(),);
    lang_codes.insert("muskogee (creek)".to_string(), "mus".to_string(),);
    lang_codes.insert("tahaggart tamahaq".to_string(), "thv".to_string(),);
    lang_codes.insert("old tupi".to_string(), "tpw".to_string(),);
    lang_codes.insert("burmese".to_string(), "mya".to_string(),);
    lang_codes.insert("chukchi".to_string(), "ckt".to_string(),);
    lang_codes.insert("kven finnish".to_string(), "fkv".to_string(),);
    lang_codes.insert("tamil".to_string(), "tam".to_string(),);
    lang_codes.insert("swiss german".to_string(), "gsw".to_string(),);
    lang_codes.insert("novial".to_string(), "nov".to_string(),);
    lang_codes.insert("north moluccan malay".to_string(), "max".to_string(),);
    lang_codes.insert("quechua".to_string(), "que".to_string(),);
    lang_codes.insert("faroese".to_string(), "fao".to_string(),);
    lang_codes.insert("odia (oriya)".to_string(), "ori".to_string(),);
    lang_codes.insert("maori".to_string(), "mri".to_string(),);
    lang_codes.insert("old english".to_string(), "ang".to_string(),);
    lang_codes.insert("kyrgyz".to_string(), "kir".to_string(),);
    lang_codes.insert("talossan".to_string(), "tzl".to_string(),);
    lang_codes.insert("chamorro".to_string(), "cha".to_string(),);
    lang_codes.insert("crimean tatar".to_string(), "crh".to_string(),);
    lang_codes.insert("kelantan-pattani malay".to_string(), "mfa".to_string(),);
    lang_codes.insert("brithenig".to_string(), "bzt".to_string(),);
    lang_codes.insert("ainu".to_string(), "ain".to_string(),);
    lang_codes.insert("asturian".to_string(), "ast".to_string(),);
    lang_codes.insert("telugu".to_string(), "tel".to_string(),);
    lang_codes.insert("gothic".to_string(), "got".to_string(),);
    lang_codes.insert("xhosa".to_string(), "xho".to_string(),);
    lang_codes.insert("amharic".to_string(), "amh".to_string(),);
    lang_codes.insert("awadhi".to_string(), "awa".to_string(),);
    lang_codes.insert("maltese".to_string(), "mlt".to_string(),);
    lang_codes.insert("bashkir".to_string(), "bak".to_string(),);
    lang_codes.insert("tachawit".to_string(), "shy".to_string(),);
    lang_codes.insert("tarifit".to_string(), "rif".to_string(),);
    lang_codes.insert("bavarian".to_string(), "bar".to_string(),);
    lang_codes.insert("karachay-balkar".to_string(), "krc".to_string(),);
    lang_codes.insert("lao".to_string(), "lao".to_string(),);
    lang_codes.insert("jewish babylonian aramaic".to_string(), "tmr".to_string(),);
    lang_codes.insert("old french".to_string(), "fro".to_string(),);
    lang_codes.insert("nahuatl".to_string(), "nah".to_string(),);
    lang_codes.insert("northern sami".to_string(), "sme".to_string(),);
    lang_codes.insert("punjabi (eastern)".to_string(), "pan".to_string(),);
    lang_codes.insert("kannada".to_string(), "kan".to_string(),);
    lang_codes.insert("sranan tongo".to_string(), "srn".to_string(),);
    lang_codes.insert("karelian".to_string(), "krl".to_string(),);
    lang_codes.insert("venetian".to_string(), "vec".to_string(),);
    lang_codes.insert("hawaiian".to_string(), "haw".to_string(),);
    lang_codes.insert("sumerian".to_string(), "sux".to_string(),);
    lang_codes.insert("nepali".to_string(), "npi".to_string(),);
    lang_codes.insert("gujarati".to_string(), "guj".to_string(),);
    lang_codes.insert("nogai".to_string(), "nog".to_string(),);
    lang_codes.insert("sanskrit".to_string(), "san".to_string(),);
    lang_codes.insert("quenya".to_string(), "qya".to_string(),);
    lang_codes.insert("banjar".to_string(), "bjn".to_string(),);
    lang_codes.insert("emilian".to_string(), "egl".to_string(),);
    lang_codes.insert("láadan".to_string(), "ldn".to_string(),);
    lang_codes.insert("middle english".to_string(), "enm".to_string(),);
    lang_codes.insert("baluchi".to_string(), "bal".to_string(),);
    lang_codes.insert("ancient hebrew".to_string(), "hbo".to_string(),);
    lang_codes.insert("gulf arabic".to_string(), "afb".to_string(),);
    lang_codes.insert("somali".to_string(), "som".to_string(),);
    lang_codes.insert("saraiki".to_string(), "skr".to_string(),);
    lang_codes.insert("choctaw".to_string(), "cho".to_string(),);
    lang_codes.insert("wolof".to_string(), "wol".to_string(),);
    lang_codes.insert("kumyk".to_string(), "kum".to_string(),);
    lang_codes.insert("minangkabau".to_string(), "min".to_string(),);
    lang_codes.insert("greenlandic".to_string(), "kal".to_string(),);
    lang_codes.insert("laz".to_string(), "lzz".to_string(),);
    lang_codes.insert("rusyn".to_string(), "rue".to_string(),);
    lang_codes.insert("evenki".to_string(), "evn".to_string(),);
    lang_codes.insert("zulu".to_string(), "zul".to_string(),);
    lang_codes.insert("hitchiti".to_string(), "mik".to_string(),);
    lang_codes.insert("tigrinya".to_string(), "tir".to_string(),);
    lang_codes.insert("tetun".to_string(), "tet".to_string(),);
    lang_codes.insert("aragonese".to_string(), "arg".to_string(),);
    lang_codes.insert("north levantine arabic".to_string(), "apc".to_string(),);
    lang_codes.insert("kabardian".to_string(), "kbd".to_string(),);
    lang_codes.insert("saterland frisian".to_string(), "stq".to_string(),);
    lang_codes.insert("haitian creole".to_string(), "hat".to_string(),);
    lang_codes.insert("shuswap".to_string(), "shs".to_string(),);
    lang_codes.insert("tok pisin".to_string(), "tpi".to_string(),);
    lang_codes.insert("sindarin".to_string(), "sjn".to_string(),);
    lang_codes.insert("latgalian".to_string(), "ltg".to_string(),);
    lang_codes.insert("papiamento".to_string(), "pap".to_string(),);
    lang_codes.insert("scots".to_string(), "sco".to_string(),);
    lang_codes.insert("navajo".to_string(), "nav".to_string(),);
    lang_codes.insert("ladin".to_string(), "lld".to_string(),);
    lang_codes.insert("central mnong".to_string(), "cmo".to_string(),);
    lang_codes.insert("samoan".to_string(), "smo".to_string(),);
    lang_codes.insert("hill mari".to_string(), "mrj".to_string(),);
    lang_codes.insert("kölsch".to_string(), "ksh".to_string(),);
    lang_codes.insert("hmong daw (white)".to_string(), "mww".to_string(),);
    lang_codes.insert("afrihili".to_string(), "afh".to_string(),);
    lang_codes.insert("tuvinian".to_string(), "tyv".to_string(),);
    lang_codes.insert("baybayanon".to_string(), "bvy".to_string(),);
    lang_codes.insert("iban".to_string(), "iba".to_string(),);
    lang_codes.insert("mohawk".to_string(), "moh".to_string(),);
    lang_codes.insert("udmurt".to_string(), "udm".to_string(),);
    lang_codes.insert("moroccan arabic".to_string(), "ary".to_string(),);
    lang_codes.insert("erzya".to_string(), "myv".to_string(),);
    lang_codes.insert("seychellois creole".to_string(), "crs".to_string(),);
    lang_codes.insert("talysh".to_string(), "tly".to_string(),);
    lang_codes.insert("extremaduran".to_string(), "ext".to_string(),);
    lang_codes.insert("tajik".to_string(), "tgk".to_string(),);
    lang_codes.insert("malagasy".to_string(), "mlg".to_string(),);
    lang_codes.insert("nuosu".to_string(), "iii".to_string(),);
    lang_codes.insert("mambae".to_string(), "mgm".to_string(),);
    lang_codes.insert("yoruba".to_string(), "yor".to_string(),);
    lang_codes.insert("pashto".to_string(), "pus".to_string(),);
    lang_codes.insert("pipil".to_string(), "ppl".to_string(),);
    lang_codes.insert("lushootseed".to_string(), "lut".to_string(),);
    lang_codes.insert("southern sami".to_string(), "sma".to_string(),);
    lang_codes.insert("tibetan".to_string(), "bod".to_string(),);
    lang_codes.insert("dutton world speedwords".to_string(), "dws".to_string(),);
    lang_codes.insert("pennsylvania german".to_string(), "pdc".to_string(),);
    lang_codes.insert("mahasu pahari".to_string(), "bfz".to_string(),);
    lang_codes.insert("pangasinan".to_string(), "pag".to_string(),);
    lang_codes.insert("bhojpuri".to_string(), "bho".to_string(),);
    lang_codes.insert("isan".to_string(), "tts".to_string(),);
    lang_codes.insert("hakka chinese".to_string(), "hak".to_string(),);
    lang_codes.insert("walloon".to_string(), "wln".to_string(),);
    lang_codes.insert("chinook jargon".to_string(), "chn".to_string(),);
    lang_codes.insert("sinhala".to_string(), "sin".to_string(),);
    lang_codes.insert("berom".to_string(), "bom".to_string(),);
    lang_codes.insert("inuktitut".to_string(), "ike".to_string(),);
    lang_codes.insert("iraqi arabic".to_string(), "acm".to_string(),);
    lang_codes.insert("kashmiri".to_string(), "kas".to_string(),);
    lang_codes.insert("samogitian".to_string(), "sgs".to_string(),);
    lang_codes.insert("komi-zyrian".to_string(), "kpv".to_string(),);
    lang_codes.insert("limburgish".to_string(), "lim".to_string(),);
    lang_codes.insert("shona".to_string(), "sna".to_string(),);
    lang_codes.insert("hiligaynon".to_string(), "hil".to_string(),);
    lang_codes.insert("komi-permyak".to_string(), "koi".to_string(),);
    lang_codes.insert("guerrero nahuatl".to_string(), "ngu".to_string(),);
    lang_codes.insert("fijian".to_string(), "fij".to_string(),);
    lang_codes.insert("khakas".to_string(), "kjh".to_string(),);
    lang_codes.insert("okinawan".to_string(), "ryu".to_string(),);
    lang_codes.insert("setswana".to_string(), "tsn".to_string(),);
    lang_codes.insert("chechen".to_string(), "che".to_string(),);
    lang_codes.insert("dhivehi".to_string(), "div".to_string(),);
    lang_codes.insert("drents".to_string(), "drt".to_string(),);
    lang_codes.insert("manx".to_string(), "glv".to_string(),);
    lang_codes.insert("central huasteca nahuatl".to_string(), "nch".to_string(),);
    lang_codes.insert("punjabi (western)".to_string(), "pnb".to_string(),);
    lang_codes.insert("gagauz".to_string(), "gag".to_string(),);
    lang_codes.insert("cycl".to_string(), "cycl".to_string(),);
    lang_codes.insert("garhwali".to_string(), "gbm".to_string(),);
    lang_codes.insert("ojibwe".to_string(), "oji".to_string(),);
    lang_codes.insert("igbo".to_string(), "ibo".to_string(),);
    lang_codes.insert("niuean".to_string(), "niu".to_string(),);
    lang_codes.insert("nigerian fulfulde".to_string(), "fuv".to_string(),);
    lang_codes.insert("sicilian".to_string(), "scn".to_string(),);
    lang_codes.insert("palauan".to_string(), "pau".to_string(),);
    lang_codes.insert("fiji hindi".to_string(), "hif".to_string(),);
    lang_codes.insert("livonian".to_string(), "liv".to_string(),);
    lang_codes.insert("jamaican patois".to_string(), "jam".to_string(),);
    lang_codes.insert("friulian".to_string(), "fur".to_string(),);
    lang_codes.insert("rapa nui".to_string(), "rap".to_string(),);
    lang_codes.insert("adyghe".to_string(), "ady".to_string(),);
    lang_codes.insert("middle french".to_string(), "frm".to_string(),);
    lang_codes.insert("interglossa".to_string(), "igs".to_string(),);
    lang_codes.insert("abkhaz".to_string(), "abk".to_string(),);
    lang_codes.insert("sundanese".to_string(), "sun".to_string(),);
    lang_codes.insert("kinyarwanda".to_string(), "kin".to_string(),);
    lang_codes.insert("dungan".to_string(), "dng".to_string(),);
    lang_codes.insert("cayuga".to_string(), "cay".to_string(),);
    lang_codes.insert("umbundu".to_string(), "umb".to_string(),);
    lang_codes.insert("cherokee".to_string(), "chr".to_string(),);
    lang_codes.insert("tahitian".to_string(), "tah".to_string(),);
    lang_codes.insert("lombard".to_string(), "lmo".to_string(),);
    lang_codes.insert("aklanon".to_string(), "akl".to_string(),);
    lang_codes.insert("gheg albanian".to_string(), "aln".to_string(),);
    lang_codes.insert("bislama".to_string(), "bis".to_string(),);
    lang_codes.insert("o'odham".to_string(), "ood".to_string(),);
    lang_codes.insert("tagal murut".to_string(), "mvv".to_string(),);
    lang_codes.insert("marshallese".to_string(), "mah".to_string(),);
    lang_codes.insert("chinyanja".to_string(), "nya".to_string(),);
    lang_codes.insert("ewe".to_string(), "ewe".to_string(),);
    lang_codes.insert("lakota".to_string(), "lkt".to_string(),);
    lang_codes.insert("romansh".to_string(), "roh".to_string(),);
    lang_codes.insert("tongan".to_string(), "ton".to_string(),);
    lang_codes.insert("corsican".to_string(), "cos".to_string(),);
    lang_codes.insert("uab meto".to_string(), "aoz".to_string(),);
    lang_codes.insert("kekchi (q'eqchi')".to_string(), "kek".to_string(),);
    lang_codes.insert("avar".to_string(), "ava".to_string(),);
    lang_codes.insert("old aramaic".to_string(), "oar".to_string(),);
    lang_codes.insert("mirandese".to_string(), "mwl".to_string(),);
    lang_codes.insert("louisiana creole".to_string(), "lou".to_string(),);
    lang_codes.insert("ingrian".to_string(), "izh".to_string(),);
    lang_codes.insert("old spanish".to_string(), "osp".to_string(),);
    lang_codes.insert("old norse".to_string(), "non".to_string(),);
    lang_codes.insert("karakalpak".to_string(), "kaa".to_string(),);
    lang_codes.insert("khalaj".to_string(), "klj".to_string(),);
    lang_codes.insert("ingush".to_string(), "inh".to_string(),);
    lang_codes.insert("ngeq ".to_string(), "ngt".to_string(),);
    lang_codes.insert("dargwa".to_string(), "dar".to_string(),);
    lang_codes.insert("jin chinese".to_string(), "cjy".to_string(),);
    lang_codes.insert("mi'kmaq".to_string(), "mic".to_string(),);
    lang_codes.insert("newari".to_string(), "new".to_string(),);
    lang_codes.insert("jewish palestinian aramaic".to_string(), "jpa".to_string(),);
    lang_codes.insert("sardinian".to_string(), "srd".to_string(),);
    lang_codes.insert("lezgi".to_string(), "lez".to_string(),);
    lang_codes.insert("phoenician".to_string(), "phn".to_string(),);
    lang_codes.insert("tonga (zambezi)".to_string(), "toi".to_string(),);
    lang_codes.insert("võro".to_string(), "vro".to_string(),);
    lang_codes.insert("min nan chinese".to_string(), "nan".to_string(),);
    lang_codes.insert("tuvaluan".to_string(), "tvl".to_string(),);
    lang_codes.insert("gilbertese".to_string(), "gil".to_string(),);
    lang_codes.insert("orizaba nahuatl".to_string(), "nlv".to_string(),);
    lang_codes.insert("qashqai".to_string(), "qxq".to_string(),);
    lang_codes.insert("south levantine arabic".to_string(), "ajp".to_string(),);
    lang_codes.insert("lak".to_string(), "lbe".to_string(),);
    lang_codes.insert("bambara".to_string(), "bam".to_string(),);
    lang_codes.insert("old frisian".to_string(), "ofs".to_string(),);
    lang_codes.insert("southern altai".to_string(), "alt".to_string(),);
    lang_codes.insert("veps".to_string(), "vep".to_string(),);
    lang_codes.insert("erromintxela".to_string(), "emx".to_string(),);
    lang_codes.insert("karakhanid".to_string(), "xqa".to_string(),);
    lang_codes.insert("zeelandic".to_string(), "zea".to_string(),);
    lang_codes.insert("tokelauan".to_string(), "tkl".to_string(),);
    lang_codes.insert("abaza".to_string(), "abq".to_string(),);
    lang_codes.insert("bodo".to_string(), "brx".to_string(),);
    lang_codes.insert("nauruan".to_string(), "nau".to_string(),);
    lang_codes.insert("yucatec maya".to_string(), "yua".to_string(),);
    lang_codes.insert("silesian".to_string(), "szl".to_string(),);
    lang_codes.insert("southern subanen".to_string(), "laa".to_string(),);
    lang_codes.insert("kamba".to_string(), "kam".to_string(),);
    lang_codes.insert("mon".to_string(), "mnw".to_string(),);
    lang_codes.insert("juhuri (judeo-tat)".to_string(), "jdt".to_string(),);
    lang_codes.insert("moksha".to_string(), "mdf".to_string(),);
    lang_codes.insert("sango".to_string(), "sag".to_string(),);
    lang_codes.insert("chagatai".to_string(), "chg".to_string(),);
    lang_codes.insert("madurese".to_string(), "mad".to_string(),);
    lang_codes.insert("maithili".to_string(), "mai".to_string(),);
    lang_codes.insert("pulaar".to_string(), "fuc".to_string(),);
    lang_codes.insert("k'iche'".to_string(), "quc".to_string(),);
    lang_codes.insert("chinese pidgin english".to_string(), "cpi".to_string(),);
    lang_codes.insert("old turkish".to_string(), "otk".to_string(),);
    lang_codes.insert("assyrian neo-aramaic".to_string(), "aii".to_string(),);
    lang_codes.insert("sindhi".to_string(), "snd".to_string(),);
    lang_codes.insert("northern zaza (kirmanjki)".to_string(), "kiu".to_string(),);
    lang_codes.insert("southern zaza (dimli)".to_string(), "diq".to_string(),);
    lang_codes.insert("balinese".to_string(), "ban".to_string(),);
    lang_codes.insert("morisyen".to_string(), "mfe".to_string(),);
    lang_codes.insert("central bikol".to_string(), "bcl".to_string(),);
    lang_codes.insert("middle persian (pahlavi)".to_string(), "pal".to_string(),);
    lang_codes.insert("temuan".to_string(), "tmw".to_string(),);
    lang_codes.insert("xiang chinese".to_string(), "hsn".to_string(),);
    lang_codes.insert("hmong njua (green)".to_string(), "hnj".to_string(),);
    lang_codes.insert("konkani (goan)".to_string(), "gom".to_string(),);
    lang_codes.insert("plains cree".to_string(), "crk".to_string(),);
    lang_codes.insert("keningau murut".to_string(), "kxi".to_string(),);
    lang_codes.insert("tsonga".to_string(), "tso".to_string(),);
    lang_codes.insert("old saxon".to_string(), "osx".to_string(),);
    lang_codes.insert("palatine german".to_string(), "pfl".to_string(),);
    lang_codes.insert("syriac".to_string(), "syc".to_string(),);
    lang_codes.insert("libyan arabic".to_string(), "ayl".to_string(),);
    lang_codes.insert("mono (usa)".to_string(), "mnr".to_string(),);
    lang_codes.insert("meitei".to_string(), "mni".to_string(),);
    lang_codes.insert("gan chinese".to_string(), "gan".to_string(),);
    lang_codes.insert("northern haida".to_string(), "hdn".to_string(),);
    lang_codes.insert("g".to_string(), "gaa".to_string(),);
    lang_codes.insert("luganda".to_string(), "lug".to_string(),);
    lang_codes.insert("southern sotho".to_string(), "sot".to_string(),);
    lang_codes.insert("aymara".to_string(), "aym".to_string(),);
    lang_codes.insert("nyungar".to_string(), "nys".to_string(),);
    lang_codes.insert("neapolitan".to_string(), "nap".to_string(),);
    lang_codes.insert("manchu".to_string(), "mnc".to_string(),);
    lang_codes.insert("pali".to_string(), "pli".to_string(),);
    lang_codes.insert("urhobo".to_string(), "urh".to_string(),);
    lang_codes.insert("rendille".to_string(), "rel".to_string(),);
    lang_codes.insert("southern haida".to_string(), "hax".to_string(),);
    lang_codes.insert("swazi".to_string(), "ssw".to_string(),);
    lang_codes.insert("cuyonon".to_string(), "cyo".to_string(),);

    lang_codes
}
